For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get property option details

Get details for the property option.

get
/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
propertyOptionUidstringRequired

Reference to an allowed option of a product property definition

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

An pre-defined, allowed value for a list or checklist property.

createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyNamestringRequired
propertyOptionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyOptionNamestringRequired
externalIdstringRequired
get/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}
GET /v2/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "propertyUid": "text",
  "propertyName": "text",
  "propertyOptionUid": "text",
  "propertyOptionName": "text",
  "externalId": "text"
}

Last updated

Was this helpful?